Debian Bug report logs - #297431
RM: lw-pro-installer -- RoQA; NPOASR

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: "Kevin M. Rosenberg" <kmr@debian.org>

Date: Mon, 28 Feb 2005 19:33:13 UTC

Severity: normal

Merged with 311196

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#297431; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Kevin M. Rosenberg" <kmr@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Kevin M. Rosenberg" <kmr@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: lw-pro-installer - Installer for Xanalys' Lispworks ANSI Common Lisp System
Date: Mon, 28 Feb 2005 12:18:38 -0700
Package: wnpp
Severity: normal


I intended to orphan lw-pro-installer

 This package installs the Professional or Enterprise edition of
 Xanalys' Lispworks ANSI
 Common Lisp. Lispworks contains a Lisp integrated develpment
 environment and a Lisp compiler.
 .
 This package does not contain the Lispworks program. The Professional
 and Enterprises versions must be purchased from Xanalys. This package
 will install Lispworks onto your Debian system. A major advantage of
 using this package to install Lispworks is that this package provides
 Common Lisp Controller integration.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.8
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)



Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#297431; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #14 received at 297431@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: "Kevin M. Rosenberg" <kmr@debian.org>, 297431@bugs.debian.org
Cc: debian-qa@lists.debian.org
Subject: Re: O: lw-pro-installer - Installer for Xanalys' Lispworks ANSI Common Lisp System
Date: Sun, 22 May 2005 17:19:00 +0200
On Mon, Feb 28, 2005 at 12:18:38PM -0700, Kevin M. Rosenberg wrote:
> I intended to orphan lw-pro-installer

Nobody so far has shown interest, and therefore this package has been
marked for removal. However, cl-reversi-clim does build-depend on this
package, so it cannot be removed without breaking cl-reversi-clim.

What to do? You did not orphan cl-reversi-clim, so I assume you want to
keep maintaining it. Its build-dependency is unmaintained though.

Please let me hear your thoughts about this.
 
Thanks,
--Jeroen

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#297431; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Kevin Rosenberg <kevin@rosenberg.net>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #19 received at 297431@bugs.debian.org (full text, mbox):

From: Kevin Rosenberg <kevin@rosenberg.net>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: "Kevin M. Rosenberg" <kmr@debian.org>, 297431@bugs.debian.org, debian-qa@lists.debian.org
Subject: Re: O: lw-pro-installer - Installer for Xanalys' Lispworks ANSI Common Lisp System
Date: Wed, 25 May 2005 11:46:51 -0600
Jeroen van Wolffelaar wrote:
> Nobody so far has shown interest, and therefore this package has been
> marked for removal. However, cl-reversi-clim does build-depend on this
> package, so it cannot be removed without breaking cl-reversi-clim.

Interesting, I hadn't considered that consequence.

> What to do? You did not orphan cl-reversi-clim, so I assume you want to
> keep maintaining it. Its build-dependency is unmaintained though.

cl-reversi-clim is a binary DFSG-game built with the commercial version of
Lispworks. It's a binary upload that I know several people have
enjoyed playing, but I don't think anyone has built a binary for it
but me.

> Please let me hear your thoughts about this.

I'd like to continue maintaining cl-reversi-clim. However, if its
build-dependency must be in the archive, and if its build dependency
must be removed, then you may remove cl-reversi-clim as well.

-- 
Kevin Rosenberg
kevin@rosenberg.net



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#297431; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #24 received at 297431@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Kevin Rosenberg <kevin@rosenberg.net>
Cc: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>, "Kevin M. Rosenberg" <kmr@debian.org>, 297431@bugs.debian.org, debian-qa@lists.debian.org
Subject: Re: O: lw-pro-installer - Installer for Xanalys' Lispworks ANSI Common Lisp System
Date: Wed, 25 May 2005 19:54:53 +0200
On Wed, May 25, 2005 at 11:46:51AM -0600, Kevin Rosenberg wrote:
> Jeroen van Wolffelaar wrote:
> > What to do? You did not orphan cl-reversi-clim, so I assume you want to
> > keep maintaining it. Its build-dependency is unmaintained though.
> 
> cl-reversi-clim is a binary DFSG-game built with the commercial version of
> Lispworks. It's a binary upload that I know several people have
> enjoyed playing, but I don't think anyone has built a binary for it
> but me.

I see
 
> > Please let me hear your thoughts about this.
> 
> I'd like to continue maintaining cl-reversi-clim. However, if its
> build-dependency must be in the archive, and if its build dependency
> must be removed, then you may remove cl-reversi-clim as well.

cl-reversi-clim is contrib, so it isn't really required to have the
build-dependencies available, although it'd be convenient. Since this is
an installer package, I assume one can do without, by just downloading
the binary distribution. OTOH, this way of course it's hard for anyone
to help fixing your package if you become unavailable due to vacancy or
whatever. Because there is no requirement either way, but the installer
package is nice to keep for this game, any possibility you can consider
to maintain it nonetheless, possibly having an request for adoption
filed to tell people who want to take over that they're invited? We
could also just leave it orphaned, at least for now...

It's mostly up to you, you know those packages much better than I do. I
can't really properly judge on it.

Thanks!
--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#297431; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Kevin Rosenberg <kevin@rosenberg.net>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #29 received at 297431@bugs.debian.org (full text, mbox):

From: Kevin Rosenberg <kevin@rosenberg.net>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: "Kevin M. Rosenberg" <kmr@debian.org>, 297431@bugs.debian.org, debian-qa@lists.debian.org
Subject: Re: O: lw-pro-installer - Installer for Xanalys' Lispworks ANSI Common Lisp System
Date: Wed, 25 May 2005 12:29:30 -0600
Jeroen van Wolffelaar wrote:
> cl-reversi-clim is contrib, so it isn't really required to have the
> build-dependencies available, although it'd be convenient. Since this is
> an installer package, I assume one can do without, by just downloading
> the binary distribution. OTOH, this way of course it's hard for anyone
> to help fixing your package if you become unavailable due to vacancy or
> whatever. Because there is no requirement either way, but the installer
> package is nice to keep for this game, any possibility you can consider
> to maintain it nonetheless, possibly having an request for adoption
> filed to tell people who want to take over that they're invited? We
> could also just leave it orphaned, at least for now...

Thanks for the additional thoughts. Yes, I'll go ahead and upload a
new version of lw-pro-installer with myself as the maintainer and file
a RFA for it as well.

> It's mostly up to you, you know those packages much better than I do. I
> can't really properly judge on it.

Very good, thanks for your help with the QA!

-- 
Kevin Rosenberg
kevin@rosenberg.net



Merged 297431 311196. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Kevin M. Rosenberg" <kmr@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 297431-done@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 297431-done@bugs.debian.org
Subject: Removed lw-pro-installer from unstable
Date: Mon, 30 May 2005 15:44:00 -0400
We believe that the request you reported is now fixed; the following
package(s) have been removed from unstable:

lw-pro-installer |   4.2.0.29 | source, i386

Reason: RoQA; NPOASR

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to the just-closed bug (or by
replying to this mail if there is no bug closed).

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:14:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.